Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.installer
Class XSDOtdLibInstallerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.stc.hl7.installer.XSDOtdLibInstallerTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class XSDOtdLibInstallerTask

extends org.apache.tools.ant.Task

An ant task that installs the XSDOTDLibraries into repository

Author:
  Raghunadh Teegavarapu

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`XSDOtdLibInstallerTask()` Constructs an empty XSDOtdLibInstallerTask

Method Summary
`XSDFileSet` | `createXsdfileset()` Creates and returns XSDFileSet object
`void` | `execute()` Installs application
`protected java.io.File[]` | `getFileList(java.io.File baseDir)` Retrieve all the files located under specified file system directory and returns them as File array
`void` | `setProjectPath(java.lang.String projectPath)` Setter for project path

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDOtdLibInstallerTask

    public XSDOtdLibInstallerTask()

  Constructs an empty XSDOtdLibInstallerTask

Method Detail

### setProjectPath

    public void setProjectPath(java.lang.String projectPath)

  Setter for project path

  Parameters:
    `projectPath` - A string representing the project path

### createXsdfileset

    public XSDFileSet createXsdfileset()

  Creates and returns XSDFileSet object

  Returns:
    returns XSDFileSet

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Installs application

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - exception upon error

### getFileList

    protected java.io.File[] getFileList(java.io.File baseDir)

  Retrieve all the files located under specified file system directory and returns them as File array

  Parameters:
    `baseDir` - File System Directory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD